classification
Title: Compilation fixes for IRIX
Type: behavior Stage: resolved
Components: Build Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, brian.curtin, grobian, loewis, srcshelton
Priority: normal Keywords: patch

Created on 2010-01-16 19:03 by grobian, last changed 2014-02-05 16:47 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
python-2.7-irix.patch grobian, 2010-01-16 19:03
python-2.6.4-irix.patch grobian, 2010-01-16 19:04
Messages (6)
msg97896 - (view) Author: Fabian Groffen (grobian) Date: 2010-01-16 19:03
Patches to fix compilation issues on IRIX, on behalf of Frank Everdij and Stuart Shelton.
msg97904 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-01-16 20:03
Same issue as with 7718: I'm worried about this "on behalf of" contribution. Does Stuart Shelton actually approve this contribution? Would he be willing to sign a contributor agreement?
msg98022 - (view) Author: Stuart Shelton (srcshelton) Date: 2010-01-18 14:56
As-per 7718 I'm happy to complete any relevant paperwork: these patches (which are by now of my own creation: Frank Everdij helped sort out the N32.s fixes, but these were no longer required by 2.6.4 and 2.7) are already posted in the public Gentoo bug-tracker, and clearly having them merged is the best solution all around.

Let me know what I need to do and I'll get on it.
msg98023 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-18 15:08
http://www.python.org/psf/contrib/ has the relevant contributor agreement.
msg112272 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-01 06:57
@Stuart could you please fill out the paperwork given here http://www.python.org/psf/contrib/ .  Without it this issue can't proceed.
msg210333 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-02-05 16:47
According to the python-dev discussion, Irix is not supported anymore:

https://mail.python.org/pipermail/python-dev/2009-February/086111.html
History
Date User Action Args
2014-02-05 16:47:06berker.peksagsetstatus: open -> closed


keywords: - needs review
nosy: + berker.peksag
messages: + msg210333
resolution: out of date
stage: patch review -> resolved
2014-02-03 19:52:01BreamoreBoysetnosy: - BreamoreBoy
2010-08-01 06:57:27BreamoreBoysetnosy: + BreamoreBoy
messages: + msg112272
2010-01-18 15:08:16brian.curtinsetnosy: + brian.curtin
messages: + msg98023
2010-01-18 14:56:34srcsheltonsetnosy: + srcshelton
messages: + msg98022
2010-01-16 20:03:04loewissetnosy: + loewis
messages: + msg97904
2010-01-16 19:07:21brian.curtinsetpriority: normal
keywords: + needs review
type: behavior
stage: patch review
2010-01-16 19:04:13grobiansetfiles: + python-2.6.4-irix.patch
2010-01-16 19:03:53grobiancreate